package x64

import (
	"git.akyoto.dev/cli/q/src/build/cpu"
)

// SubRegisterNumber subtracts a number from the given register.
func SubRegisterNumber(code []byte, destination cpu.Register, number int) []byte {
	return regRegNum(code, 0b101, byte(destination), number, 0x83, 0x81)
}

// SubRegisterRegister subtracts a register value from another register.
func SubRegisterRegister(code []byte, destination cpu.Register, operand cpu.Register) []byte {
	return regReg(code, byte(operand), byte(destination), 0x29)
}
