package build

import "git.akyoto.dev/cli/q/src/build/token"

// debug is used to look up instructions at a certain index.
type debug struct {
	position    int
	instruction token.List
}

// instructionAt retrieves the instruction at the given index.
func (f *Function) instructionAt(index int) token.List {
	for _, record := range f.debug {
		if record.position == index {
			return record.instruction
		}

		if record.position > index {
			return nil
		}
	}

	return nil
}
